function fnInit()
{
    oDiv.innerHTML = iMedica.VisitRxSummary.GetHTML();
}

function setCodeValues(checkBox)
{
    var checkBoxID = checkBox.id.split("_");
    var checkBoxValue = checkBox.value.split("_");
    var checkBoxName = checkBox.name.split("_");
    iMedica.VisitRxSummary.ClickServiceOrder(checkBox.checked, checkBoxID, checkBoxValue, checkBoxName);
}

function fnViewWorkList(img) {
    iMedica.VisitRxSummary.ViewWorkList(img.id)
}

function fnViewPDC(img) {
    iMedica.VisitRxSummary.ViewPDC()
}

function fnHoverAlertWorklist(img) {
    var b = document.getElementById(img.id);
    if (b != null)
        b.className = "worklistAlertHover";
}

function fnAlertWorklist(img) {
    var b = document.getElementById(img.id);
    if (b != null)
        b.className = "worklistalert";
}

function fnHoverNormalWorklist(img) {
    var b = document.getElementById(img.id);
    if (b != null)
        b.className = "worklistnormalHover";
}

function fnNormalWorklist(img) {
    var b = document.getElementById(img.id);
    if (b != null)
        b.className = "worklistnormal";
}

function hilitePDC(theClassName, highlightcolor) {
    source = event.srcElement
    while (source) {
        if (source.tagName == "DIV" && source.className == theClassName)
            break;
        source = source.parentElement;
    }
    if (source)
        if (source.style.backgroundColor != highlightcolor && source.id != "ignore" && source.style.backgroundColor != 'lightgreen')
            source.style.backgroundColor = highlightcolor;
}


